MT940 report (asynchronous email)
curl --request POST \
--url https://api.next.orenda.finance/v1/reports/mt940 \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"fromDate": "2023-12-25",
"toDate": "2023-12-25"
}
'const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({fromDate: '2023-12-25', toDate: '2023-12-25'})
};
fetch('https://api.next.orenda.finance/v1/reports/mt940', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.next.orenda.finance/v1/reports/mt940"
payload = {
"fromDate": "2023-12-25",
"toDate": "2023-12-25"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text){
"success": true,
"message": "REPORT_GENERATION_INITIATED"
}{
"success": false,
"error_code": "<string>"
}Reports
MT940 report (asynchronous email)
Enqueues asynchronous generation of an MT940 (SWIFT) statement for the caller’s custodian and returns 202 immediately; a download link is emailed to the caller when ready. Use this for large statements that exceed the synchronous GET size limit.
POST
/
v1
/
reports
/
mt940
MT940 report (asynchronous email)
curl --request POST \
--url https://api.next.orenda.finance/v1/reports/mt940 \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"fromDate": "2023-12-25",
"toDate": "2023-12-25"
}
'const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({fromDate: '2023-12-25', toDate: '2023-12-25'})
};
fetch('https://api.next.orenda.finance/v1/reports/mt940', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.next.orenda.finance/v1/reports/mt940"
payload = {
"fromDate": "2023-12-25",
"toDate": "2023-12-25"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text){
"success": true,
"message": "REPORT_GENERATION_INITIATED"
}{
"success": false,
"error_code": "<string>"
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
⌘I